curl --request GET \
--url https://api.withterminal.com/tsp/v1/hos/available-time \
--header 'Authorization: Bearer <token>' \
--header 'Connection-Token: <connection-token>'import requests
url = "https://api.withterminal.com/tsp/v1/hos/available-time"
headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.withterminal.com/tsp/v1/hos/available-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"provider": "geotab",
"driver": "drv_01D8ZQFGHVJ858NBF2Q7DV9MNC",
"availableTime": {
"cycle": 252000000,
"shift": 50400000,
"drive": 39600000,
"break": 28800000
},
"currentStatus": "driving",
"currentStatusStartedAt": "2021-01-06T03:24:53.000Z",
"raw": []
}
],
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "provider_provisioning_pending",
"message": "Provider credentials are still being provisioned"
}{
"code": "connection_deleted",
"message": "Connection has been deleted and cannot be used"
}{
"code": "connection_disconnected",
"message": "Connection must be connected to perform this action",
"detail": []
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "not_implemented",
"message": "Not Implemented",
"detail": "This endpoint is not yet implemented"
}{
"code": "bad_gateway",
"message": "Provider Unavailable",
"detail": "Error response received from provider with status 500"
}{
"code": "provider_unavailable",
"message": "Provider is not currently available"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}Available Time for Drivers
List available time for the driver. This endpoint provides live access to the driver’s available time. Different than most endpoints, this endpoint calls the provider’s API in real time to get the latest available time for the driver. This endpoint is useful for building real time applications that need to know the driver’s available time.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.
The token returned when a user authenticated their account. This authorizes access to a specific account.
^con_tkn_\S+$"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
Query Parameters
Pagination cursor to start requests from
^[A-Za-z0-9+/=_-]+$"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
The maximum number of results to return in a page.
Comma separated list of driver IDs to filter for. Can filter up to 50 drivers at a time. Each ID must use the drv_ prefix.
^drv_[0-9A-HJKMNP-TV-Z]{26}(\s*,\s*drv_[0-9A-HJKMNP-TV-Z]{26})*$Expand resources in the returned response
driver Include raw responses used to normalize model. Used for debugging or accessing unique properties that are not unified.